CVE-2005-4485
CVSS4.3
发布时间 :2005-12-22 06:03:00
修订时间 :2011-09-13 00:00:00
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in ProjectApp 3.3 and earlier allow remote attackers to inject arbitrary web script or HTML via the keywords parameter to (1) forums.asp, (2) search_employees.asp, (3) cat.asp, and (4) links.asp; (5) projectid parameter to pmprojects.asp, (6) ret_page parameter to login.asp, and (7) skin_number parameter to default.asp.


[CNNVD]ProjectApp多个跨站脚本攻击漏洞(CNNVD-200512-552)

        ProjectApp 3.3及更早版本存在多个跨站脚本攻击漏洞,远程攻击者可以通过传到(1)forums.asp,(2)search_employees.asp,(3)cat.asp和(4)links.asp的keywords;传到pmprojects.asp的(5)projectid参数,传到login.asp的(6)ret_page参数和传到default.asp的(7)skin_number参数来注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4485
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4485
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-552
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2005/3040
(VENDOR_ADVISORY)  VUPEN  ADV-2005-3040
http://www.securityfocus.com/bid/16011
(UNKNOWN)  BID  16011
http://www.osvdb.org/21968
(UNKNOWN)  OSVDB  21968
http://www.osvdb.org/21967
(UNKNOWN)  OSVDB  21967
http://www.osvdb.org/21966
(UNKNOWN)  OSVDB  21966
http://www.osvdb.org/21965
(UNKNOWN)  OSVDB  21965
http://www.osvdb.org/21964
(UNKNOWN)  OSVDB  21964
http://www.osvdb.org/21963
(UNKNOWN)  OSVDB  21963
http://www.osvdb.org/21962
(UNKNOWN)  OSVDB  21962
http://secunia.com/advisories/18199
(VENDOR_ADVISORY)  SECUNIA  18199
http://pridels0.blogspot.com/2005/12/projectapp-mutliple-xss-vuln.html
(UNKNOWN)  MISC  http://pridels0.blogspot.com/2005/12/projectapp-mutliple-xss-vuln.html

- 漏洞信息

ProjectApp多个跨站脚本攻击漏洞
中危 跨站脚本
2005-12-22 00:00:00 2006-06-06 00:00:00
远程  
        ProjectApp 3.3及更早版本存在多个跨站脚本攻击漏洞,远程攻击者可以通过传到(1)forums.asp,(2)search_employees.asp,(3)cat.asp和(4)links.asp的keywords;传到pmprojects.asp的(5)projectid参数,传到login.asp的(6)ret_page参数和传到default.asp的(7)skin_number参数来注入任意Web脚本或HTML。

- 公告与补丁

        

- 漏洞信息

21962
ProjectApp forums.asp keywords Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

ProjectApp contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'keywords' variable upon submission to the forums.asp script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-12-21 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站